## com.thingmagic
Class ReaderUtil

    java.lang.Object
      com.thingmagic.ReaderUtil

    public class ReaderUtil

extends java.lang.Object

Constructor Summary
`ReaderUtil()`

Method Summary
`static java.lang.String` `arrayToString(java.lang.String[] a, java.lang.String separator)`
`static int[]` `buildIntArray(java.util.List<java.lang.Integer> integers)` convert Integer List to primitive int array
`static java.lang.String` `byteArrayToHexString(byte[] in)` convert byte array to hex string
`static int` `byteArrayToInt(byte[] data, int offset)`
`static long` `byteArrayToLong(byte[] data)`
`static short` `byteArrayToShort(byte[] bytes, int offset)`
`static short[]` `convertByteArrayToShortArray(byte[] byteData)` convert byte array to short array
`static byte[]` `convertListToBytes(java.util.List<java.lang.String> strList)` Utility method to convert List<String> to Bytes
`static java.lang.String` `convertListToString(java.util.List<java.lang.String> strList, java.lang.String delimiter)` Utility method to convert List<String> to String
`static byte[]` `convertShortArraytoByteArray(short[] shortData)` convert short array to byte array
`static void` `firmwareLoadUtil(java.io.InputStream fwStr, Reader reader, FirmwareLoadOptions loadOptions)` Firmware load on ThingMagic Readers using web requests.
`static long` `getBits(long raw, int offset, int length)`
`static byte[]` `hexStringToByteArray(java.lang.String hexStr)` Utility method to convert hex string to byte array
`static long` `initBits(long raw, int offset, int length, long value, java.lang.String desc)`
`static byte[]` `intToByteArray(int value)`
`static java.lang.String` `join(java.lang.String delim, java.lang.String[] data)`
`static byte[]` `longToBytes(long v)`
`static long` `makeBitMask(int offset, int length)`
`static void` `removeDuplicates(java.util.List<TagReadData> tagvec, java.lang.Object uniqueByAntenna, java.lang.Object uniqueByData, java.lang.Object highestRSSI)` De-duplication logic
`static byte[]` `shortToByteArray(short s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReaderUtil

    public ReaderUtil()

Method Detail

### removeDuplicates

    public static void removeDuplicates(java.util.List<TagReadData> tagvec,
                                        java.lang.Object uniqueByAntenna,
                                        java.lang.Object uniqueByData,
                                        java.lang.Object highestRSSI)
                                 throws ReaderException

  De-duplication logic

  Parameters:
    `tagvec` -
  Throws:
    `ReaderException`

### byteArrayToHexString

    public static java.lang.String byteArrayToHexString(byte[] in)

  convert byte array to hex string

  Parameters:
    `in` - Input array of bytes to be converted
  Returns:
    A Hex string

### hexStringToByteArray

    public static byte[] hexStringToByteArray(java.lang.String hexStr)

  Utility method to convert hex string to byte array

  Parameters:
    `hexStr` - The input hex string
  Returns:
    A byte array

### arrayToString

    public static java.lang.String arrayToString(java.lang.String[] a,
                                                 java.lang.String separator)

### convertListToBytes

    public static byte[] convertListToBytes(java.util.List<java.lang.String> strList)

  Utility method to convert List<String> to Bytes

  Parameters:
    `strList` - Input list of strings.
  Returns:
    A Byte array

### convertListToString

    public static java.lang.String convertListToString(java.util.List<java.lang.String> strList,
                                                       java.lang.String delimiter)

  Utility method to convert List<String> to String

  Parameters:
    `strList` - Input list of strings
    `delimiter` - Delimeter
  Returns:
    A String

### convertShortArraytoByteArray

    public static byte[] convertShortArraytoByteArray(short[] shortData)

  convert short array to byte array

  Parameters:
    `shortData` -
  Returns:
    byteData

### shortToByteArray

    public static byte[] shortToByteArray(short s)

### byteArrayToLong

    public static long byteArrayToLong(byte[] data)

### join

    public static java.lang.String join(java.lang.String delim,
                                        java.lang.String[] data)

### byteArrayToShort

    public static short byteArrayToShort(byte[] bytes,
                                         int offset)

### convertByteArrayToShortArray

    public static short[] convertByteArrayToShortArray(byte[] byteData)

  convert byte array to short array

  Parameters:
    `byteData` -
  Returns:
    shortData

### byteArrayToInt

    public static int byteArrayToInt(byte[] data,
                                     int offset)

### intToByteArray

    public static byte[] intToByteArray(int value)

### longToBytes

    public static byte[] longToBytes(long v)

### buildIntArray

    public static int[] buildIntArray(java.util.List<java.lang.Integer> integers)

  convert Integer List to primitive int array

  Parameters:
    `integers` -
  Returns:
    intArray

### makeBitMask

    public static long makeBitMask(int offset,
                                   int length)

### getBits

    public static long getBits(long raw,
                               int offset,
                               int length)

### initBits

    public static long initBits(long raw,
                                int offset,
                                int length,
                                long value,
                                java.lang.String desc)

### firmwareLoadUtil

    public static void firmwareLoadUtil(java.io.InputStream fwStr,
                                        Reader reader,
                                        FirmwareLoadOptions loadOptions)
                                 throws ReaderException,
                                        java.io.IOException

  Firmware load on ThingMagic Readers using web requests.

  Parameters:
    `fwStr` -
    `reader` -
    `loadOptions` -
  Throws:
    `ReaderException`
    `java.io.IOException`